Unit tiis2r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, IIS2R_p;

function tiis2r: String;

implementation

function tiis2r: String;
var
M,N,IERR :Integer;
YT :Real;
const
XT :Real = 0.134;
X :Array [0..4] of Real = ( 0.0,0.7854,1.5708,2.3562,3.1416 );
A :Array [0..23] of Real = ( 0.0115,0.0028,-0.0036,0.0004,-0.0075,0.0301,
0.0467,0.0167,-0.1624,-0.1152,-0.0026,0.122,0.0,
-0.355,-0.5005,-0.3512,1.0,0.7071,0.0,-0.7071,0.0,
0.7071,1.0,0.7071 );
begin
Result := '';  {   }
N := 4;
M := 5;
IIS2R(XT,N,X,M,A,YT,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%5d ',[IERR]) + #$0D#$0A;
Result := Result + Format('%s',[' YT=']);
Result := Result + Format('%20.16f ',[YT]) + #$0D#$0A;
UtRes('tiis2r',Result);  {     tiis2r.res }
exit;
end;

end.
